/2025-10/retail-media/accounts/{account-id}/campaigns
curl --request GET \
--url https://api.criteo.com/2025-10/retail-media/accounts/{account-id}/campaigns \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/2025-10/retail-media/accounts/{account-id}/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/2025-10/retail-media/accounts/{account-id}/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "<string>",
"attributes": {
"accountId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"isAutoDailyPacing": true,
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"budget": 123,
"budgetRemaining": 123,
"budgetSpent": 123,
"clickAttributionWindow": "30D",
"companyName": "<string>",
"dailyPacing": 123,
"drawableBalanceIds": [
"<string>"
],
"endDate": "2023-11-07T05:31:56Z",
"monthlyPacing": 123,
"onBehalfCompanyName": "<string>",
"promotedBrandIds": [
"<string>"
],
"retailerId": 123,
"startDate": "2023-11-07T05:31:56Z",
"type": "auction",
"viewAttributionWindow": "none"
}
}
],
"metadata": {
"currentPageIndex": 123,
"currentPageSize": 123,
"nextPage": "<string>",
"previousPage": "<string>",
"totalItemsAcrossAllPages": 123,
"totalPages": 123
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>"
}
]
}/2025-10/retail-media/accounts/{account-id}/campaigns
Gets page of campaign objects for the given account id
GET
/
2025-10
/
retail-media
/
accounts
/
{account-id}
/
campaigns
/2025-10/retail-media/accounts/{account-id}/campaigns
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The given account id
Query Parameters
The ids that you would like to limit your result set to
The 0 indexed page index you would like to receive given the page size
Required range:
0 <= x <= 2147483647The maximum number of items you would like to receive in this request
Required range:
1 <= x <= 2147483647Was this page helpful?
/2025-10/retail-media/balances/{balanceId}/history
Previous
/2025-10/retail-media/accounts/{account-id}/campaigns
Next
⌘I